<template>
  <nav class="navbar navbar-expand-lg navbar-light bg-light main-header-bg">
    <div class="container" style="padding: 0;">
      <a class="navbar-brand" href="#">
        <img src="../assets/images/poke-ball.png" alt="Pokemon Logo" class="brand-image">
      </a>
      <div>
        <a @click="this.$router.push('/edit-profile')" class="btn btn-primary btn-transparent" href="#" role="button">
          <i class="fa fa-pencil" aria-hidden="true"></i> Edit Profile
        </a>
        <a @click="this.$emit('trigger-logout')" class="btn btn-primary btn-custom" href="#" role="button">
          <i class="fa fa-sign-out" aria-hidden="true"></i> Logout
        </a>
      </div>
    </div>
  </nav>
</template>

<script>
export default {
  name: "NavBar",
  emits: ["trigger-logout"]
}
</script>